<%- include('../includes/head.ejs') %>
    <link rel="stylesheet" href="/css/forms.css">
    <link rel="stylesheet" href="/css/auth.css">
</head>

<body>
   <%- include('../includes/navigation.ejs') %>

    <main>
        <% if(errorMessage) { %>
            <% if(typeof(errorMessage) == 'object') { %>
                <% for(let i = 0 ; i < errorMessage.length ; i++) { %>
                    <div class="user-message user-message--error">
                        <%= errorMessage[i].msg %>
                    </div>
                <% } %>
            <% } else { %>
                <div class="user-message user-message--error">
                    <%= errorMessage %>
                </div>
            <% } %>
        <% } %>
        <form 
            class="login-form" 
            action="/login" 
            method="POST"
        >
            <input type="hidden" name="_csrf" value="<%= csrfToken %>" />
            <div class="form-control">
                <label for="email">Email</label>
                <input 
                    class="<%= validationErrors.find(e => e.param === 'email') ? 'invalid' : '' %>"
                    type="email" 
                    name="email" 
                    id="email"
                    value="<%= prevInput.email %>"
                >
            </div>
            <div class="form-control">
                <label for="password">Password</label>
                <input 
                    class="<%= validationErrors.find(e => e.param === 'password') ? 'invalid' : '' %>"
                    type="password" 
                    name="password" 
                    id="password"
                    value="<%= prevInput.password %>"
                >
            </div>
            <button class="btn" type="submit">Login</button>
        </form>
         <div class="centered">
            <a href="/reset-password">Reset Password</a>
        </div>
    </main>
<%- include('../includes/end.ejs') %>